<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt';

import DialogReceipt from '../POS/DialogReceipt.vue';

import { ref } from 'vue';

const receiptStore = useReceiptStore()
const  headers =[
          { key: 'createdDate', title: 'CreatedDate' },
          { key: 'user.fullname', title: 'User' },
          { key: 'total', title: 'TotalPrice' },
          { key: 'paymentType', title: 'Payment' },
          { title: 'Actions', key: 'actions', sortable: false },
        ]
const search = ref('')
</script>
<template>
   <v-row no-gutters style="padding-bottom:10px ;">
            <v-col cols="12" md="5" >
                <v-text-field
                v-model="search"
                density="compact"
                variant="solo"
                label="Search Receipt"
                append-inner-icon="mdi-magnify"
                single-line
                hide-details
               
                style="width: 200px;"
                >
                </v-text-field>
            </v-col>
        </v-row>
    <v-data-table 
      style="width: 1300px; height: 500px; background-color: #E7D0B9;"
            :headers="headers"
            :items="receiptStore.receipts"
            :search="search"
            :items-per-page="8"
            >
            <template v-slot:[`item.actions`]="{ item }">
      <v-icon
        size="small"
        class="me-2"
        @click="receiptStore.showReceiptDialog2(item)"
      >
        mdi-eye
      </v-icon>
      </template>
</v-data-table>
<DialogReceipt></DialogReceipt>
</template>
<style scoped>
tbody tr:nth-of-type(even) {
    background-color: #D2BAA0;
  }

  tbody tr:nth-of-type(odd) {
    background-color: #E7D0B9;
  }

  thead {
    background-color: #BC9B6B;
    color: rgb(0, 0, 0);
    font-weight: bold;
  }


  .theme--light.v-data-table thead tr th {
    color: white;
  }
.text-center {
  text-align: center;
}
</style>